import type { AppDocumentSaveOptions } from "../core";
import type { DataMap, DocumentInputContext, DocumentOutputContext } from "../core/io";
import { AppModule as CoreAppModule } from "./../core/AppModule";
import type { ArticleManager } from "./ArticleManager";
export declare class AppModule extends CoreAppModule {
    static readonly MODULE_KEY = "egr.wcf.cf";
    get moduleId(): string;
    get articleManager(): ArticleManager;
    constructor(pArticleManager: ArticleManager);
    clearDocumentData(): void;
    loadDocumentData(pContext: DocumentInputContext, pData: DataMap | null): Promise<void>;
    saveDocumentData(pContext: DocumentOutputContext, pOptions: AppDocumentSaveOptions): Promise<DataMap | null>;
    static readonly STATE_CATALOGIMG_INDEX_MAP = "catalogImgIndexMap";
    static readonly STATE_CATALOGIMG_INDEX_ARRAY = "IndexCatalogImgArray";
    private mArticleManager;
    private saveCatalogImages;
    private loadCatalogImages;
    private getCatalogImageResourcePath;
}
