import type { DataMap } from "../../core/io/Types";
import type { ElementNode, SceneElement } from "../../core/mdl/io/Types";
export interface CatalogImage {
    id: string;
    name: string;
}
export interface ModuleData extends DataMap {
    catalogImages?: Array<CatalogImage>;
}
export interface MainArticleElement extends SceneElement {
    placeholderGeometry?: boolean;
    node: ArticleElementNode;
}
export interface UserArticleElement extends MainArticleElement {
}
export interface ArticleElementNode extends ElementNode {
    basketId?: string;
    catalogImage?: number | null;
    selectable?: boolean;
    nodes?: Array<ArticleElementNode>;
}
