import { ListenableEvent } from "./ListenableEvent";
export class Log {
    static debug(pMsg) {
        console.log(Log.FormatMsg(pMsg));
    }
    static info(pMsg) {
        console.info(Log.FormatMsg(pMsg));
    }
    static warn(pMsg) {
        Log.eventWarn.trigger(pMsg);
        console.warn(Log.FormatMsg(pMsg));
    }
    static error(pMsg, pError) {
        Log.eventError.trigger({ message: pMsg, error: pError });
        let tMsg = Log.FormatMsg(pMsg);
        if (pError != null) {
            tMsg += " ";
            if (pError instanceof Error) {
                tMsg += pError;
                if (pError.stack != null)
                    tMsg += " Stack: " + pError.stack;
            }
            else
                tMsg += "Error: " + pError;
        }
        console.error(tMsg);
    }
    //// private ///////////////////////////////////////////////////////////////////////////////
    static FormatMsg(pMsg) {
        const tDate = new Date();
        const tTimeStr = `${tDate.getHours()}:${tDate.getMinutes()}:${tDate.getSeconds()}:${tDate.getMilliseconds()}`;
        return (`[W-CF ${tTimeStr}] ${pMsg}`);
    }
}
Log.eventWarn = new ListenableEvent(null);
Log.eventError = new ListenableEvent(null);
export default Log;
